%global _empty_manifest_terminate_build 0
Name:		python-flufl.testing
Version:	0.8
Release:	2
Summary:	A small collection of test tool plugins
License:	Apache 2.0
URL:		https://pypi.org/project/flufl.testing
Source0:	https://files.pythonhosted.org/packages/0d/e1/030cb22f7ad6ec12056de1daf4f537fbbeb8e92ed8be0cb73480dad2e61e/flufl.testing-%{version}.tar.gz
BuildArch:	noarch

%description
This package contains a small collection of test helpers that Barry Warsaw uses in almost all his packages.
Specifically, plugins for the following test tools are provided:
- nose2
- flake8

%package -n python3-flufl.testing
Summary:	A small collection of test tool plugins
Provides:	python-flufl.testing
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools

%description -n python3-flufl.testing
This package contains a small collection of test helpers that Barry Warsaw uses in almost all his packages.
Specifically, plugins for the following test tools are provided:
- nose2
- flake8

%package help
Summary:	Development documents and examples for flufl.testing
Provides:	python3-flufl.testing-doc

%description help
Development documents and examples for flufl.testing

%prep
%autosetup -n flufl.testing-%{version}

%build
%py3_build

%install
%py3_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
	find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
	find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
	find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
	find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
	find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%files -n python3-flufl.testing -f filelist.lst
%dir %{python3_sitelib}/*

%files help -f doclist.lst
%{_pkgdocdir}

%changelog
* Thu Dec 31 2020 leiju <leiju4@huawei.com>
- Modify Spec and yaml filename

* Thu Dec 17 2020 Python_Bot <Python_Bot@openeuler.org>
- Package Spec generated
